Subject: phylib printouts

From: Kristoffer Glembo <[email-masked]>
Date: Wed, 28 Oct 2009 17:33:19 +0100

Hi,

There are some printouts in the phy abstraction library using pr_info(). 
  Personally I would prefer if they used pr_debug() instead.

Especially the pr_info("%s: probed\n", bus->name) in mdiobus_register() 
since in some cases I can't tolerate a console printout while the link 
is down (we have an ethernet debug link and read the UART output through 
the link).

Of course this is a very specific case but in general in embedded 
systems (which I think is where the phylib is mainly used) I prefer the 
driver and other kernel code to be rather silent if not debugging.

Any opinions? :)

Best regards,
Kristoffer Glembo